#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(.gnu.linkonce.this_module) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

static const struct modversion_info ____versions[]
__used __section(__versions) = {
	{ 0xd4377020, "module_layout" },
	{ 0xdc3c46c1, "__asan_register_globals" },
	{ 0xe894f8f4, "__asan_unregister_globals" },
	{ 0x7a2be4d2, "i2c_del_driver" },
	{ 0xd03ea844, "i2c_register_driver" },
	{ 0x4f2250ba, "rtc_tm_to_time64" },
	{ 0xd1e16323, "acpi_match_device" },
	{ 0xea4e50eb, "rtc_add_group" },
	{ 0x2ea2c95c, "__x86_indirect_thunk_rax" },
	{ 0xead5ef0e, "device_property_present" },
	{ 0x9149b4f4, "device_property_read_u32_array" },
	{ 0x29e3d883, "devm_hwmon_device_register_with_groups" },
	{ 0x30e91132, "rtc_nvmem_register" },
	{ 0x126eac8d, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x1f5f0bb, "__rtc_register_device" },
	{ 0xb1ef6551, "devm_request_threaded_irq" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x1cc8945a, "device_set_wakeup_capable" },
	{ 0x15578e96, "devm_rtc_allocate_device" },
	{ 0x32e31ddb, "__devm_regmap_init_i2c" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x7fccc099, "__ubsan_handle_load_invalid_value" },
	{ 0xcac84cbc, "_dev_warn" },
	{ 0xaf861db2, "devm_clk_register" },
	{ 0x5d4f92e7, "devm_kmalloc" },
	{ 0x96848186, "scnprintf" },
	{ 0x64534b79, "rtc_update_irq" },
	{ 0xe22f9518, "mutex_unlock" },
	{ 0xfe7d434, "mutex_lock" },
	{ 0x4398123c, "__asan_report_store8_noabort" },
	{ 0x1f7e7110, "regmap_read" },
	{ 0xedfbf652, "__ubsan_handle_shift_out_of_bounds" },
	{ 0x1fc82cf7, "__sanitizer_cov_trace_switch" },
	{ 0x4f8207c9, "__asan_report_store1_noabort" },
	{ 0x48e00ea0, "__asan_report_store4_noabort" },
	{ 0xb6936ffe, "_bcd2bin" },
	{ 0xd4549f3f, "_dev_err" },
	{ 0xb784d0a7, "__asan_report_load1_noabort" },
	{ 0xa61d36c0, "__dynamic_dev_dbg" },
	{ 0xeec31e4a, "regmap_write" },
	{ 0xc3d382c3, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x80ca5026, "_bin2bcd" },
	{ 0x667b3327, "regmap_update_bits_base" },
	{ 0xc639136b, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x756fd455, "regmap_bulk_write" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xbb9ec552, "__asan_report_load8_noabort" },
	{ 0xb55ad780, "__asan_report_load2_noabort" },
	{ 0x59c3585d, "regmap_bulk_read" },
	{ 0x7b37b558, "__ubsan_handle_type_mismatch_v1" },
	{ 0xb0e6d9ce, "__asan_report_load4_noabort" },
	{ 0x332b73a1, "__ubsan_handle_out_of_bounds" },
	{ 0x3c142fbd, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x5ad7ad3a, "__sanitizer_cov_trace_cmp8" },
	{ 0x5a7a45f8, "__sanitizer_cov_trace_pc" },
	{ 0xbdfb6dbb, "__fentry__" },
};

MODULE_INFO(depends, "i2c-core,regmap-i2c");

MODULE_ALIAS("acpi*:DS1307:*");
MODULE_ALIAS("acpi*:DS1308:*");
MODULE_ALIAS("acpi*:DS1337:*");
MODULE_ALIAS("acpi*:DS1338:*");
MODULE_ALIAS("acpi*:DS1339:*");
MODULE_ALIAS("acpi*:DS1388:*");
MODULE_ALIAS("acpi*:DS1340:*");
MODULE_ALIAS("acpi*:DS1341:*");
MODULE_ALIAS("acpi*:DS3231:*");
MODULE_ALIAS("acpi*:M41T0:*");
MODULE_ALIAS("acpi*:M41T00:*");
MODULE_ALIAS("acpi*:M41T11:*");
MODULE_ALIAS("acpi*:MCP7940X:*");
MODULE_ALIAS("acpi*:MCP7941X:*");
MODULE_ALIAS("acpi*:PT7C4338:*");
MODULE_ALIAS("acpi*:RX8025:*");
MODULE_ALIAS("acpi*:ISL12057:*");
MODULE_ALIAS("acpi*:RX8130:*");
MODULE_ALIAS("i2c:ds1307");
MODULE_ALIAS("i2c:ds1308");
MODULE_ALIAS("i2c:ds1337");
MODULE_ALIAS("i2c:ds1338");
MODULE_ALIAS("i2c:ds1339");
MODULE_ALIAS("i2c:ds1388");
MODULE_ALIAS("i2c:ds1340");
MODULE_ALIAS("i2c:ds1341");
MODULE_ALIAS("i2c:ds3231");
MODULE_ALIAS("i2c:m41t0");
MODULE_ALIAS("i2c:m41t00");
MODULE_ALIAS("i2c:m41t11");
MODULE_ALIAS("i2c:mcp7940x");
MODULE_ALIAS("i2c:mcp7941x");
MODULE_ALIAS("i2c:pt7c4338");
MODULE_ALIAS("i2c:rx8025");
MODULE_ALIAS("i2c:isl12057");
MODULE_ALIAS("i2c:rx8130");

MODULE_INFO(srcversion, "5CB541D46257578D6701A12");
